/gateways/{eui64}/auth-settings
Returns the user authentication settings for a specific device.
get
Authorizations
x-api-keystringRequired
Path parameters
eui64stringRequiredExample:
The EUI64 of the device in hexadecimal format.
000d6f000011bcb3Responses
200
Successful operation
application/json
user_authbooleanRequired
true if user authentication is enabled on the device; otherwise, false.
update_pendingbooleanRequired
A flag indicating whether the configuration is pending to be updated in the device.
400
Invalid request:
- Missing required 'path' parameter: 'eui64'.
- The provided EUI64 '{eui64}' is not a valid hexadecimal string.
application/json
404
Not found:
- 400: The device '{eui64}' is not available in the IoT Thing registry.
- 410: The shadow '{shadow}' for device '{eui64}' was not found.
- 411: The reported state for shadow '{shadow}' of device '{eui64}' was not found.
application/json
500
Internal server error
application/json
get/gateways/{eui64}/auth-settings
GET /v2/gateways/{eui64}/auth-settings HTTP/1.1
Host: device-management.n2g-dev.net
x-api-key: YOUR_API_KEY
Accept: */*
{
"user_auth": true,
"update_pending": false
}Last updated
Was this helpful?

